#!/bin/sh

name="psi"
title="Psi"
package="psi"
version="0.8.7"
build="6"
noarch="n"
build_info="Standard build."

info="A Jabber client for X Window."
desc="Psi is the premiere Instant Messaging application designed for
Microsoft Windows, Apple Mac OS X and GNU/Linux. Built upon an
open protocol named Jabber, Psi is a fast and lightweight
messaging client that utilises the best in open source
technologies. Psi contains all the features necessary to chat,
with no bloated extras that slow your computer down."
category="net/client/im"
environment="x11/qt"
contact="$name@packages.packware.one.pl"
vendor="The Packware Project"
vendor_id="pw"

requires=""
obsoletes=""
conflicts=""

docs_source="COPYING,INSTALL,README"
docs_cwd=""

strip_bin="y"
reset_own="y"
reset_dir="y"
reset_fil="y"
delete_cat="y"

. /usr/src/tgz/lib/builder.defs

add_source http://cesnet.dl.sourceforge.net/sourceforge/psi/$name-$version.tar.bz2

apply_patch install_menu
apply_patch translations

build_host_off
export QTDIR=/usr/lib/qt

configure_option --prefix=/usr

install_option INSTALL_ROOT=$pkg_main

parent_package="$package"
write_info main

cd $src1

do_configure

apply_patch optflags

do_make
do_install

./install_menu.sh $pkg_main/opt/kde

rm -f $pkg_main/usr/share/psi/{COPYING,README}

make_docs

make_package main

clean_up

# $Log: psi.builder,v $
# Revision 1.15  2003/05/16 13:15:00  swiergot
# - Changed SF mirror from belnet to cesnet.
# - Build 6.
#
# Revision 1.14  2003/05/16 12:46:48  swiergot
# - Removed all iconsets and translations. These has been moved to separate
#   packages.
#
# Revision 1.13  2003/03/15 17:37:50  swiergot
# - Build 5.
#
# Revision 1.12  2003/03/15 17:16:27  swiergot
# - Changed prefix to /usr leaving KDE stuff still in under /opt/kde.
# - Bring the jilly iconset back.
# - Removed psi_pl.qm from repo.
# - add_source for all translations available at psi.affinix.com.
# - Copy all translations to /usr/share/psi/translations.
# - Added the translations patch to make Psi look for translations in there.
# - Move translations into a subpackage.
# - Move iconsets into a subpackage.
#
# Revision 1.11  2003/02/18 16:53:11  swiergot
# - Build 4.
#
# Revision 1.10  2003/02/18 15:19:23  swiergot
# - Added install_menu patch to fix install_menu.sh script that copies files
#   but doesn't create directories.
#
# Revision 1.9  2003/02/16 12:54:08  swiergot
# - Build 3.
#
# Revision 1.8  2003/02/16 12:40:48  swiergot
# - Run install_menu.sh to install .desktop and icons.
#
# Revision 1.7  2003/02/02 14:12:33  swiergot
# - Build 2.
#
# Revision 1.6  2003/02/02 13:21:07  swiergot
# - Force building.
#
# Revision 1.5  2003/01/28 16:44:39  swiergot
# - Removed jilly iconset as an archive with it is broken.
#
# Revision 1.4  2003/01/28 15:59:25  swiergot
# - Added the following iconsets: beos, cosmic, crystal, gabber, icq2, jilly,
#   licq, mike, smiley.
#
# Revision 1.3  2003/01/27 17:22:51  swiergot
# - Changed prefix from /usr to /opt/kde.
# - Updated polish translation.
#
# Revision 1.2  2002/12/25 22:37:39  swiergot
# - Build 1.
#
# Revision 1.1  2002/12/25 22:13:28  swiergot
# - Initial release.
# - Version 0.8.7.
#
